Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface AddEntry

All Known Implementing Classes:
  AddEntryImpl

    public interface AddEntry

LDAP Add Entry interface. Defines methods for the Add operation.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`AddEntryOptions` | `getAddEntryOptions()` Method to retrieve the options for the add entry
`STCEntry` | `getSTCEntry()` Method to retrieve the entry which is to be added
`boolean` | `performAddEntry()` Method that performs the addition of the new entry in the directory
`void` | `reset()` Method to reset the values

Method Detail

### getAddEntryOptions

    AddEntryOptions getAddEntryOptions()
                                       throws LDAPApplicationException

  Method to retrieve the options for the add entry

  Returns:
    the AddEntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getSTCEntry

    STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the entry which is to be added

  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performAddEntry

    boolean performAddEntry()
                            throws LDAPApplicationException

  Method that performs the addition of the new entry in the directory

  Returns:
    true if the entry was added successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD